import dayjs from 'dayjs';
import _ from 'lodash';

import { cn } from '@/lib/utils';

import { TableItemProps } from '../TableItem';
import EmptyItem from './EmptyItem';

const UnixDateTimeItem = (props: TableItemProps) => {

    const value = props.value;
    const tokens = props.boardTokens;


    if (!value) return <EmptyItem {...props} />;


    if (tokens) {
        return <div className={cn(tokens.valueClass)}>{dayjs.unix(value).format("DD.MM.YYYY HH:mm")}</div>
    }


    return <div>
        <div>{dayjs.unix(value).format("DD.MM.YYYY")}</div>
        <div className='text-xs'>{dayjs.unix(value).format("HH:mm")}</div>
    </div>


}

export default UnixDateTimeItem;
